//
// Created by sebastian on 05.08.26.
//

#include "RemoteGameSession.h"

void RemoteGameSession::sendCommand(const std::variant<ludo::MovePieceCommand, ludo::RollDiceCommand> &command) {
    // 1. In JSON / Bytes verpacken
    // 2. Über den Socket asynchron an den Server senden
    // m_socket.send(serializedCommand);
}

std::vector<ludo::LudoEvent> RemoteGameSession::pollEvents() {
    // Holt die Events ab, die der Netzwerk-Thread im Hintergrund
    // vom Server empfangen und in die Queue gelegt hat.
    return std::vector<ludo::LudoEvent>();
}
